<!DOCTYPE html>
<html <?php language_attributes(); ?> class="no-js">
<head>
  <meta charset="<?php bloginfo( 'charset' ); ?>">
  <meta name="viewport" content="width=device-width, initial-scale=1">
  <link rel="profile" href="http://gmpg.org/xfn/11">
  <?php if ( is_singular() && pings_open( get_queried_object() ) ) : ?>
  <link rel="pingback" href="<?php bloginfo( 'pingback_url' ); ?>">
  <?php endif; ?>
  <?php wp_head(); ?>
</head>
<body <?php body_class(); ?>>

  <header id="kopa-header" class="kopa-header-2 sticky-header">
    <div class="wrapper">
      <div class="header-wrap">
        <?php 
          $custom_logo_id = get_theme_mod( 'custom_logo' );
          $image = wp_get_attachment_image_src( $custom_logo_id , 'full' );
          if( $image ) : ?>
          <div id="kopa-logo">
            <a href="<?php echo esc_url( home_url( '/' ) ); ?>"><img src="<?php echo esc_url( $image[0] ); ?>" alt=""></a>
          </div>
        <?php else : ?>
          <?php if (is_front_page()) : ?>
            <h1><a href="<?php echo esc_url( home_url( '/' ) ); ?>"><?php bloginfo( 'title' ); ?></a></h1>
          <?php else :?>
            <div class="lu-title"><a href="<?php echo esc_url( home_url( '/' ) ); ?>"><?php bloginfo( 'title' ); ?></a></div>
          <?php endif; ?>
        <?php endif; ?>

        <div id="sb-search" class="sb-search">
          <form method="get" id="searchform" action="<?php echo esc_url( home_url( '/' ) ); ?>">
            <input placeholder="<?php esc_html_e( 'Search...', 'luxicar-lite' ); ?>" type="text" value="<?php echo get_search_query(); ?>" name="s" id="s" class="sb-search-input">
            <button type="submit" class="search-submit"></button><span class="sb-icon-search fa fa-search"></span>
          </form>
        </div>

        <?php if( has_nav_menu( 'main-nav' ) ) : ?>
          <?php
            $args = array(
              'theme_location'  => 'main-nav',
              'container'       => 'nav',
              'container_class' => 'main-menu',
              'menu_class'      => 'sf-menu',
            );
            wp_nav_menu( $args );
          ?>
        <?php endif; ?>

        <?php if( has_nav_menu( 'main-nav' ) ) : ?>
          <nav id="mobile-nav" class="navgoco">
          <span class="icon-navgovo"><i class="fa fa-bars"></i></span>
          <?php
            $args = array(
              'theme_location'  => 'main-nav',
              'container'       => false,
              'menu_class'      => 'nav',
            );
            wp_nav_menu( $args );
          ?>
          </nav>
        <?php endif; ?>
      </div>
    </div>
  </header>