<?php

add_action('after_setup_theme', 'luxicar_init');

function luxicar_init(){	
	add_filter('kopa_customization_init_options', 'luxicar_init_options');
}

function luxicar_init_options($options){

	#Panels
	$options['panels'][] = array(
		'id'    => 'luxicar_panel_theme_option',
		'title' => esc_html__('Theme Options', 'luxicar-lite'));

    #Sections
    $options['sections'][] = array(
		'id'    => 'luxicar_section_general',
		'panel' => 'luxicar_panel_theme_option',
		'title' => esc_html__('General', 'luxicar-lite'));

	$options['sections'][] = array(
		'id'    => 'luxicar_section_blog',
		'panel' => 'luxicar_panel_theme_option',
		'title' => esc_html__('Blog', 'luxicar-lite'));

	$options['sections'][] = array(
		'id'    => 'luxicar_section_single',
		'panel' => 'luxicar_panel_theme_option',
		'title' => esc_html__('Single', 'luxicar-lite'));

	if(class_exists( 'Luxicar_Toolkit_Plus' )){
		$options['sections'][] = array(
		'id'    => 'luxicar_section_portfolio',
		'panel' => 'luxicar_panel_theme_option',
		'title' => esc_html__('Portfolio', 'luxicar-lite'));
	}

	$options['sections'][] = array(
		'id'    => 'luxicar_section_social',
		'panel' => 'luxicar_panel_theme_option',
		'title' => esc_html__('Social sharing', 'luxicar-lite'));

	$options['sections'][] = array(
		'id'    => 'luxicar_section_contact_info',
		'panel' => 'luxicar_panel_theme_option',
		'title' => esc_html__('Contact Info', 'luxicar-lite'));

    #Settings

    #-- Settings - general

	$options['settings'][] = array(
		'settings'    => 'luxicar-header-image',
		'label'       => esc_html__('Header Image', 'luxicar-lite'),
		'description' => '',
		'default'     => '',
		'type'        => 'upload',
		'section'     => 'luxicar_section_general',
		'transport'   => 'refresh');

	$options['settings'][] = array(
		'settings'    => 'luxicar-footer-image',
		'label'       => esc_html__('Footer Image', 'luxicar-lite'),
		'description' => '',
		'default'     => '',
		'type'        => 'upload',
		'section'     => 'luxicar_section_general',
		'transport'   => 'refresh');

	$options['settings'][] = array(
		'settings'    => 'copyright',
		'label'       => esc_html__('Copyright', 'luxicar-lite'),
		'description' => '',
		'default'     => '',
		'type'        => 'textarea',
		'section'     => 'luxicar_section_general',
		'transport'   => 'refresh');

    #-- Settings - blog

	$options['settings'][] = array(
		'settings'    => 'custom_excerpt_lenght',
		'label'       => esc_html__('Number words of excerpt to show', 'luxicar-lite'),
		'description' => '',
		'default'     => '10',
		'choices'     => array(
			'0'        	=> '0',
			'10'        => '10',
			'15'        => '15',
			'20'        => '20',
			'30'        => '30',
			'50'        => '50'
			),
		'type'        => 'select',
		'section'     => 'luxicar_section_blog',
		'transport'   => 'refresh');

	$options['settings'][] = array(
		'settings'    => 'is-enable-blog-author',
		'label'       => esc_html__('Author', 'luxicar-lite'),
		'description' => '',
		'default'     => '1',
		'type'        => 'checkbox',
		'section'     => 'luxicar_section_blog',
		'transport'   => 'refresh');

	$options['settings'][] = array(
		'settings'    => 'is-enable-blog-category',
		'label'       => esc_html__('Category', 'luxicar-lite'),
		'description' => '',
		'default'     => '1',
		'type'        => 'checkbox',
		'section'     => 'luxicar_section_blog',
		'transport'   => 'refresh');

	$options['settings'][] = array(
		'settings'    => 'is-enable-blog-more-learn',
		'label'       => esc_html__('More learn', 'luxicar-lite'),
		'description' => '',
		'default'     => '1',
		'type'        => 'checkbox',
		'section'     => 'luxicar_section_blog',
		'transport'   => 'refresh');

	$options['settings'][] = array(
		'settings'    => 'is-enable-blog-date',
		'label'       => esc_html__('Date time', 'luxicar-lite'),
		'description' => '',
		'default'     => '1',
		'type'        => 'checkbox',
		'section'     => 'luxicar_section_blog',
		'transport'   => 'refresh');

    #-- Settings - single post

	$options['settings'][] = array(
		'settings'    => 'is-enable-post-created-date',
		'label'       => esc_html__('Created date', 'luxicar-lite'),
		'description' => '',
		'default'     => '1',
		'type'        => 'checkbox',
		'section'     => 'luxicar_section_single',
		'transport'   => 'refresh');

	$options['settings'][] = array(
		'settings'    => 'is-enable-post-author',
		'label'       => esc_html__('Author', 'luxicar-lite'),
		'description' => '',
		'default'     => '1',
		'type'        => 'checkbox',
		'section'     => 'luxicar_section_single',
		'transport'   => 'refresh');

	$options['settings'][] = array(
		'settings'    => 'is-enable-post-category',
		'label'       => esc_html__('Category', 'luxicar-lite'),
		'description' => '',
		'default'     => '1',
		'type'        => 'checkbox',
		'section'     => 'luxicar_section_single',
		'transport'   => 'refresh');

	$options['settings'][] = array(
		'settings'    => 'is-enable-post-tag',
		'label'       => esc_html__('Tags', 'luxicar-lite'),
		'description' => '',
		'default'     => '1',
		'type'        => 'checkbox',
		'section'     => 'luxicar_section_single',
		'transport'   => 'refresh');

	$options['settings'][] = array(
		'settings'    => 'is-enable-post-about-author',
		'label'       => esc_html__('About author', 'luxicar-lite'),
		'description' => '',
		'default'     => '1',
		'type'        => 'checkbox',
		'section'     => 'luxicar_section_single',
		'transport'   => 'refresh');

	$options['settings'][] = array(
		'settings'    => 'is-enable-post-prev-next',
		'label'       => esc_html__('Previous - Next post', 'luxicar-lite'),
		'description' => '',
		'default'     => '1',
		'type'        => 'checkbox',
		'section'     => 'luxicar_section_single',
		'transport'   => 'refresh');

	$options['settings'][] = array(
		'settings'    => 'single_popular_title',
		'label'       => esc_html__('Popular post', 'luxicar-lite'),
		'description' => esc_html__('Title', 'luxicar-lite'),
		'default'     => '',
		'type'        => 'text',
		'section'     => 'luxicar_section_single',
		'transport'   => 'refresh');

	$all_cats = get_categories();
	$categories = array('' => esc_html__('-- none --', 'luxicar-lite'));
	foreach ( $all_cats as $cat ) {
		$categories[ $cat->slug ] = $cat->name;
	}
	
	$options['settings'][] = array(
		'settings'    => 'single_popular_categories',
		'label'       => '',
		'description' => esc_html__('Categories', 'luxicar-lite'),
		'default'     => '',
		'choices'     => $categories,
		'type'        => 'select',
		'section'     => 'luxicar_section_single',
		'transport'   => 'refresh');

	$options['settings'][] = array(
		'settings'    => 'single_popular_sortby',
		'label'       => '',
		'description' => esc_html__('Short by', 'luxicar-lite'),
		'default'     => 'date',
		'choices'     => array(
			'date' 			=> esc_html__('Date', 'luxicar-lite'),
			'comment_count' => esc_html__('Comment count', 'luxicar-lite'),
			'rand' 		    => esc_html__('Random', 'luxicar-lite')
			),
		'type'        => 'select',
		'section'     => 'luxicar_section_single',
		'transport'   => 'refresh');

	$options['settings'][] = array(
		'settings'    => 'single_popular_number_post',
		'label'       => '',
		'description' => esc_html__('Number post to show (enter 0 to hide)', 'luxicar-lite'),
		'default'     => '3',
		'type'        => 'text',
		'section'     => 'luxicar_section_single',
		'transport'   => 'refresh');

	$options['settings'][] = array(
		'settings'    => 'single_relate_get_by',
		'label'       => esc_html__('Related posts - get by', 'luxicar-lite'),
		'description' => '',
		'default'     => 'post_tag',
		'choices'     => array(
			'category' => 'Category',
			'post_tag' => 'Tag',
			),
		'type'        => 'select',
		'section'     => 'luxicar_section_single',
		'transport'   => 'refresh');

	$options['settings'][] = array(
		'settings'    => 'single_relate_limit',
		'label'       => '',
		'description' => esc_html__('Number post to show (enter 0 to hide)', 'luxicar-lite'),
		'default'     => '6',
		'type'        => 'text',
		'section'     => 'luxicar_section_single',
		'transport'   => 'refresh');

	if( class_exists( 'Luxicar_Toolkit_Plus' )){
		$options['settings'][] = array(
			'settings'    => 'portfolio_related_limit',
			'label'       => '',
			'description' => esc_html__('Number portfolio to show (enter 0 to hide)', 'luxicar-lite'),
			'default'     => '3',
			'type'        => 'text',
			'section'     => 'luxicar_section_portfolio',
			'transport'   => 'refresh');

		$options['settings'][] = array(
			'settings'    => 'portfolio_excerpt_related_limit',
			'label'       => '',
			'description' => esc_html__('Excerpt lenght', 'luxicar-lite'),
			'default'     => '20',
			'type'        => 'text',
			'section'     => 'luxicar_section_portfolio',
			'transport'   => 'refresh');
	}

	#-- Settings - social sharing

	$options['settings'][] = array(
		'settings'    => 'is-enable-post-sharing-facebook',
		'label'       => esc_html__('Facebook', 'luxicar-lite'),
		'description' => '',
		'default'     => '1',
		'type'        => 'checkbox',
		'section'     => 'luxicar_section_social',
		'transport'   => 'refresh');

	$options['settings'][] = array(
		'settings'    => 'is-enable-post-sharing-twitter',
		'label'       => esc_html__('Twitter', 'luxicar-lite'),
		'description' => '',
		'default'     => '1',
		'type'        => 'checkbox',
		'section'     => 'luxicar_section_social',
		'transport'   => 'refresh');

	$options['settings'][] = array(
		'settings'    => 'is-enable-post-sharing-google-plus',
		'label'       => esc_html__('Google +', 'luxicar-lite'),
		'description' => '',
		'default'     => '1',
		'type'        => 'checkbox',
		'section'     => 'luxicar_section_social',
		'transport'   => 'refresh');

	#-- Settings - Contact Info
	$options['settings'][] = array(
		'settings'    => 'phone-text',
		'label'       => esc_html__('Phone Text', 'luxicar-lite'),
		'description' => '',
		'default'     => '',
		'type'        => 'text',
		'section'     => 'luxicar_section_contact_info',
		'transport'   => 'refresh');

	$options['settings'][] = array(
		'settings'    => 'phone',
		'label'       => esc_html__('Phone', 'luxicar-lite'),
		'description' => '',
		'default'     => '',
		'type'        => 'text',
		'section'     => 'luxicar_section_contact_info',
		'transport'   => 'refresh');

	$options['settings'][] = array(
		'settings'    => 'email',
		'label'       => esc_html__('Email', 'luxicar-lite'),
		'description' => '',
		'default'     => '',
		'type'        => 'text',
		'section'     => 'luxicar_section_contact_info',
		'transport'   => 'refresh');

	$options['settings'][] = array(
		'settings'    => 'facebook_url',
		'label'       => esc_html__('Facebook URL', 'luxicar-lite'),
		'description' => '',
		'default'     => '',
		'type'        => 'text',
		'section'     => 'luxicar_section_contact_info',
		'transport'   => 'refresh');

	$options['settings'][] = array(
		'settings'    => 'twitter_url',
		'label'       => esc_html__('Twitter URL', 'luxicar-lite'),
		'description' => '',
		'default'     => '',
		'type'        => 'text',
		'section'     => 'luxicar_section_contact_info',
		'transport'   => 'refresh');

	$options['settings'][] = array(
		'settings'    => 'linkedin_url',
		'label'       => esc_html__('Linkedin URL', 'luxicar-lite'),
		'description' => '',
		'default'     => '',
		'type'        => 'text',
		'section'     => 'luxicar_section_contact_info',
		'transport'   => 'refresh');

	$options['settings'][] = array(
		'settings'    => 'gplus_url',
		'label'       => esc_html__('Google + URL', 'luxicar-lite'),
		'description' => '',
		'default'     => '',
		'type'        => 'text',
		'section'     => 'luxicar_section_contact_info',
		'transport'   => 'refresh');

	$options['settings'][] = array(
		'settings'    => 'instagram_url',
		'label'       => esc_html__('Instagram URL', 'luxicar-lite'),
		'description' => '',
		'default'     => '',
		'type'        => 'text',
		'section'     => 'luxicar_section_contact_info',
		'transport'   => 'refresh');

	$options['settings'][] = array(
		'settings'    => 'dribbble_url',
		'label'       => esc_html__('Dribble URL', 'luxicar-lite'),
		'description' => '',
		'default'     => '',
		'type'        => 'text',
		'section'     => 'luxicar_section_contact_info',
		'transport'   => 'refresh');

	$options['settings'][] = array(
		'settings'    => 'tumblr_url',
		'label'       => esc_html__('Tumblr URL', 'luxicar-lite'),
		'description' => '',
		'default'     => '',
		'type'        => 'text',
		'section'     => 'luxicar_section_contact_info',
		'transport'   => 'refresh');

	$options['settings'][] = array(
		'settings'    => 'youtube_url',
		'label'       => esc_html__('Youtube URL', 'luxicar-lite'),
		'description' => '',
		'default'     => '',
		'type'        => 'text',
		'section'     => 'luxicar_section_contact_info',
		'transport'   => 'refresh');

	return apply_filters( 'luxicar_init_options', $options );
}