<?php

add_filter( 'kopa_sidebar_default', 'luxicar_lite_set_sidebar_default' );

function luxicar_lite_set_sidebar_default( $options ) {	
    $options['sb_top']    = array(
        'name' => esc_html__( 'Top', 'luxicar-lite'),
        'before_widget' => '<div id="%1$s" class="widget %2$s">',
        'after_widget'  => '</div>',
        'before_title'  => '<div class="widget-title">',
        'after_title'   => '</div> '
    );
    $options['sb_middle']    = array(
        'name' => esc_html__( 'Middle', 'luxicar-lite'),
        'before_widget' => '<div id="%1$s" class="widget %2$s">',
        'after_widget'  => '</div>',
        'before_title'  => '<div class="widget-title">',
        'after_title'   => '</div> '
    );
    $options['sb_right']    = array(
        'name' => esc_html__( 'Right', 'luxicar-lite'),
        'before_widget' => '<div id="%1$s" class="widget %2$s">',
        'after_widget'  => '</div>',
        'before_title'  => '<div class="widget-title">',
        'after_title'   => '</div> '
    );
    $options['sb_left']    = array(
        'name' => esc_html__( 'Left', 'luxicar-lite'),
        'before_widget' => '<div id="%1$s" class="widget %2$s">',
        'after_widget'  => '</div>',
        'before_title'  => '<h2 class="widget-title">',
        'after_title'   => '</h2> '
    );
    $options['sb_bottom_1']    = array(
        'name' => esc_html__( 'Bottom 1', 'luxicar-lite')
    );
    $options['sb_bottom_2']    = array(
        'name' => esc_html__( 'Bottom 2', 'luxicar-lite'),
        'before_widget' => '<aside id="%1$s" class="widget %2$s">',
        'after_widget'  => '</aside>',
        'before_title'  => '<h2 class="widget-title">',
        'after_title'   => '</h2> '
    );
    $options['sb_bottom_3']    = array(
        'name' => esc_html__( 'Bottom 3', 'luxicar-lite'),
        'before_widget' => '<aside id="%1$s" class="widget %2$s">',
        'after_widget'  => '</aside>',
        'before_title'  => '<h2 class="widget-title">',
        'after_title'   => '</h2> '
    );
    $options['sb_footer_1']    = array(
        'name' => esc_html__( 'Footer 1', 'luxicar-lite'),
        'before_widget' => '<aside id="%1$s" class="widget %2$s">',
        'after_widget'  => '</aside>',
        'before_title'  => '<h2 class="widget-title">',
        'after_title'   => '</h2> '
    );
    $options['sb_footer_2']    = array(
        'name' => esc_html__( 'Footer 2', 'luxicar-lite'),
        'before_widget' => '<aside id="%1$s" class="widget %2$s">',
        'after_widget'  => '</aside>',
        'before_title'  => '<h2 class="widget-title">',
        'after_title'   => '</h2> '
    );
    
	return  apply_filters( 'luxicar_lite_set_sidebar_default', $options );
}

add_filter( 'kopa_sidebar_default_attributes', 'luxicar_lite_set_sidebar_default_attributes' );

function luxicar_lite_set_sidebar_default_attributes($wrap) {
	$wrap['before_widget'] = '<div id="%1$s" class="widget clearfix %2$s">';
	$wrap['after_widget']  = '</div>';
	$wrap['before_title']  = '<div class="widget-title">';
	$wrap['after_title']   = '</div>';

	return $wrap;
}

function luxicar_lite_set_sidebar($sidebar, $position){
    global $luxicar_lite_current_layout;
    
    if(!isset($luxicar_lite_current_layout) || empty($luxicar_lite_current_layout)){
        $luxicar_lite_current_layout = luxicar_lite_get_template_setting();
    }

    if(isset($luxicar_lite_current_layout['sidebars'][$position])){
        $sidebar = $luxicar_lite_current_layout['sidebars'][$position];
    }    

    return $sidebar;    
}

add_action( 'widgets_init', 'luxicar_lite_widgets_init' );
function luxicar_lite_widgets_init(){
    $args = array(
        'name'          => esc_html__( 'Sidebar Extra', 'luxicar-lite' ),
        'id'            => 'sidebar_extra',
        'description'   => '',
        'class'         => '',
        'before_widget' => '<div id="%1$s" class="widget %2$s">',
        'after_widget'  => '</div>',
        'before_title'  => '<h2 class="widget-title"><span></span>',
        'after_title'   => '</h2>'
    );

    register_sidebar( $args );
}