/**
 * http://kopatheme.com
 * Copyright (c) 2015 Kopatheme
 *
 * Licensed under the GPL license:
 *  http://www.gnu.org/licenses/gpl.html
 **/

/**
 *   1 - Other
 *   2 - Menu
 *   3 - Flex Slider
 *   4 - Slick Slider
 *   5 - Match Height
 *   6 - Bootstrap collapse
 *   7 - Filter Wookmark
 *   8 - Google Map
 *   9 - Facebook
 *  10 - Progress Bar
 *  11 - Pie Charts
 *  12 - Datetime Picker
 *  13 - Valid form comment
 *  14 - Load more
 *-----------------------------------------------------------------
 **/
'use strict';

jQuery(document).ready(function() {

    /* =========================================================
    1. Other
    ============================================================ */
    /* Addclass Responsive */
    jQuery('img').addClass('img-responsive');

    /* Search */
    if (jQuery('.sb-search').length) {
        Modernizr.load([{
            load: [luxicar_lite_variable.url.template_directory_uri + 'js/jquery.uisearch.min.js', luxicar_lite_variable.url.template_directory_uri + 'js/jquery.classie.min.js'],
            complete: function() {
                new UISearch(document.getElementById('sb-search'));
            }
        }]);
    }

    /* Arrow down */
    jQuery('.arr-down a').on('click' ,function() {
        var hash = jQuery(this.hash);
        var offsetTop = jQuery(hash).offset().top;
        jQuery('html,body').animate({
            scrollTop: offsetTop
        }, 800);
        return false;
    });

    /* =========================================================
    2. Menu
    ============================================================ */
    /* Super fish */
    Modernizr.load([{
        load: [luxicar_lite_variable.url.template_directory_uri + 'js/superfish.min.js'],
        complete: function() {
            // Main menu
            jQuery('.main-menu').superfish({
                delay: 100,
                speed: 'fast',
                cssArrows: true
            });

            jQuery('.sf-menu .menu-item-has-children').on('hover',function(){
                var $this = jQuery(this);
                var shareWrapOffset = jQuery(this).offset().left;
                var wraplink = jQuery(this).find('.sub-menu').width();
                var wrapperWidth = jQuery('.wrapper').width();
                var wrapperOffset = ( jQuery(window).width() - wrapperWidth ) / 2;
                var newOffset = Number( wrapperWidth ) + Number( wrapperOffset );
                var minus = Number( newOffset ) - Number( shareWrapOffset );

                if( minus < wraplink ){
                    jQuery(this).find('.sub-menu').addClass('pos-right');
                }
            });
        }
    }]);

    Modernizr.load([{
        load: [luxicar_lite_variable.url.template_directory_uri + 'js/jquery.navgoco.min.js'],
        complete: function() {
            // Mobile menu
            jQuery(".navgoco .nav").navgoco();

            jQuery(".icon-navgovo").each(function(){
                var thisIcon = jQuery(this);

                thisIcon.on('click',function() {
                    jQuery(".navgoco .nav").toggleClass("active");
                });
            });
        }
    }]);

    /* Sticky */
    if (jQuery('.sticky-header').length > 0) {
        Modernizr.load([{
            load: [luxicar_lite_variable.url.template_directory_uri + 'js/jquery.waypoints.min.js', luxicar_lite_variable.url.template_directory_uri + 'js/sticky.min.js'],
            complete: function() {
                var sticky = new Waypoint.Sticky({
                    element: jQuery('.sticky-header')[0],
                    offset: 0
                });

                /* Menu sticky scroll */
                var anchor = 0;
                var adminBar = jQuery('#wpadminbar');

                if (adminBar.length) {
                    jQuery('.sticky-header').css('top', jQuery(adminBar).height());
                }

                jQuery(window).scroll(function() {
                    var scrollPos = jQuery(window).scrollTop();

                    if (scrollPos == anchor) {
                        jQuery('.sticky-header').removeClass('scroll-menu');
                    } else {
                        jQuery('.sticky-header').addClass('scroll-menu');
                    } if (adminBar.length) {
                        jQuery('.sticky-header').css('top', jQuery(adminBar).height());
                    }
                });

            }
        }]);
    }

    /* =========================================================
    3. Flex Slider
    ============================================================ */
    if (jQuery('.flexslider').length > 0) {
        Modernizr.load([{
            load: [luxicar_lite_variable.url.template_directory_uri + 'js/jquery.flexslider-min.js'],
            complete: function() {
                jQuery('.flexslider').flexslider({
                    animation: "fade",
                    easing: "swing",
                    slideshowSpeed: 10000,
                    animationSpeed: 2000,
                    controlNav: false,
                    pauseOnHover: true,
                    start: function(){
                        jQuery(".flexslider .loading").hide();
                    }
                });
            }
        }]);
    }

    /* =========================================================
    4. Slick Slider
    ============================================================ */
    if (jQuery('.load-slick').length > 0) {
        Modernizr.load([{
            load: [luxicar_lite_variable.url.template_directory_uri + 'js/slick.min.js'],
            complete: function() {
                jQuery('.widget-slider-2').slick({
                    dots: false,
                    infinite: false,
                    speed: 600,
                    slidesToShow: 3,
                    slidesToScroll: 1,
                    responsive: [{
                        breakpoint: 1119,
                        settings: {
                            slidesToShow: 2,
                            slidesToScroll: 1,
                            infinite: false,
                            dots: false,
                        }
                    },
                    {
                        breakpoint: 700,
                        settings: {
                            slidesToShow: 1,
                            slidesToScroll: 1,
                        }
                    },
                    {
                        breakpoint: 400,
                        settings: {
                            slidesToShow: 1,
                            slidesToScroll: 1,
                        }
                    }]
                });

                jQuery('.widget-slider-3').slick({
                    dots: true,
                    infinite: false,
                    speed: 600,
                    slidesToShow: 1,
                    slidesToScroll: 1,
                    arrows: false
                });

                jQuery('.widget-slider-4').slick({
                    dots: false,
                    infinite: false,
                    speed: 600,
                    slidesToShow: 5,
                    slidesToScroll: 1,
                    responsive: [{
                        breakpoint: 1024,
                        settings: {
                            slidesToShow: 4,
                            slidesToScroll: 1,
                            infinite: false,
                            dots: false,
                        }
                    },
                    {
                        breakpoint: 600,
                        settings: {
                            slidesToShow: 2,
                            slidesToScroll: 1,
                        }
                    },
                    {
                        breakpoint: 400,
                        settings: {
                            slidesToShow: 1,
                            slidesToScroll: 1,
                        }
                    }]
                });

                jQuery('.content-slider-6').slick({
                    dots: true,
                    infinite: false,
                    speed: 1000,
                    slidesToShow: 1,
                    slidesToScroll: 1,
                    arrows: false
                });

                jQuery('.widget-slider-7').slick({
                    dots: false,
                    infinite: false,
                    speed: 1000,
                    slidesToShow: 1,
                    slidesToScroll: 1,
                    arrows: true
                });

                jQuery('.content-slider-8').slick({
                    dots: true,
                    infinite: false,
                    speed: 800,
                    slidesToShow: 3,
                    slidesToScroll: 1,
                    arrows: false,
                    responsive: [{
                        breakpoint: 980,
                        settings: {
                            slidesToShow: 2,
                            slidesToScroll: 1,
                            infinite: false,
                            dots: true,
                        }
                    },
                    {
                        breakpoint: 600,
                        settings: {
                            slidesToShow: 1,
                            slidesToScroll: 1,
                        }
                    }]
                });

                jQuery('.content-slider-10').slick({
                    centerMode: true,
                    centerPadding: '0',
                    slidesToShow: 3,
                    variableWidth: true,
                    responsive: [{
                        breakpoint: 768,
                        settings: {
                            arrows: true,
                            centerMode: true,
                            centerPadding: '0',
                            slidesToShow: 3
                        }
                    },
                    {
                        breakpoint: 480,
                        settings: {
                            arrows: true,
                            centerMode: true,
                            centerPadding: '0',
                            slidesToShow: 1
                        }
                    }]
                });

                jQuery('.widget-slider-11').slick({
                    dots: false,
                    infinite: false,
                    speed: 1000,
                    slidesToShow: 1,
                    slidesToScroll: 1,
                    arrows: true
                });

                jQuery('.slider-thumb').slick({
                    fade: true,
                    dots: false,
                    infinite: false,
                    speed: 1000,
                    slidesToShow: 1,
                    slidesToScroll: 1,
                    arrows: true
                });

                jQuery('.slider-gallery').slick({
                    fade: true,
                    dots: false,
                    infinite: false,
                    speed: 1000,
                    slidesToShow: 1,
                    slidesToScroll: 1,
                    arrows: true
                });

                jQuery('.news-relative').slick({
                    dots: false,
                    infinite: false,
                    speed: 600,
                    slidesToShow: 3,
                    slidesToScroll: 1,
                    responsive: [{
                        breakpoint: 1024,
                        settings: {
                            slidesToShow: 3,
                            slidesToScroll: 1,
                            infinite: false,
                            dots: false,
                        }
                    },
                    {
                        breakpoint: 600,
                        settings: {
                            slidesToShow: 2,
                            slidesToScroll: 1,
                        }
                    },
                    {
                        breakpoint: 400,
                        settings: {
                            slidesToShow: 1,
                            slidesToScroll: 1,
                        }
                    }]
                });
            }
        }]);
    }

    /* =========================================================
    5. Match Height
    ============================================================ */
    if (jQuery('.widget-slider-2, .comment-item, .kopa-article-list-2').length > 0) {
        Modernizr.load([{
            load: [luxicar_lite_variable.url.template_directory_uri + 'js/jquery.matchHeight-min.js'],
            complete: function() {
                jQuery('.kopa-service-widget-1 .entry-item').matchHeight({
                    target: jQuery('.kopa-service-widget-1 .widget-title')
                });

                jQuery('.comment-content').matchHeight({
                    target: jQuery('.comment-thumb')
                });

                jQuery('.kopa-article-list-2 .entry-wrap').matchHeight();
            }
        }]);
    }

    /* =========================================================
    6. Collapse
    ============================================================ */
    (function($) {
        $.fn.accordion = function(options) {
            var defaults = {
                open: false,
                toggle: false
            }
            var settings = jQuery.extend({}, defaults, options);

            return this.each(function() {
                var accTitle = jQuery(this).children('.acc-title');

                accTitle.each(reset);

                // jQuery(this).children('.acc-title:first-child').addClass('active');
                // jQuery(this).children('.acc-title:first-child').next().show();

                jQuery(this).children('.acc-title').each(function() {
                    if (jQuery(this).hasClass('active')) {
                        jQuery(this).next().show();
                    }      
                });

                if(settings.toggle) {
                    accTitle.on('click',onClickTog);
                } else {
                    accTitle.on('click',onClickAcc);         
                }
            });

            function onClickAcc() {
                jQuery(this).siblings('.acc-title').removeClass('active');
                jQuery(this).addClass('active');

                jQuery(this).siblings('.acc-title').each(hide);
                jQuery(this).next().slideDown(400);
                return false;
            }

            function onClickTog() {   
                jQuery(this).toggleClass('active');

                if(jQuery(this).hasClass('active')) {
                    jQuery(this).next().slideDown(400);
                } else {
                    jQuery(this).next().slideUp(400);
                }
                return false;
            }

            function hide() {
                jQuery(this).next().slideUp(400);
            }

            function reset() {
                jQuery(this).next().hide();
            }
        }
    })(jQuery);

    jQuery('.kopa-accordion').each(function() {
        jQuery(this).accordion({
            toggle: false
        }); 
    });

    jQuery('.kopa-toggle').each(function() {
        jQuery(this).accordion({
            toggle: true
        }); 
    });

    /* =========================================================
    7. Filter Wookmark
    ============================================================ */
    if (jQuery('.kopa-gallery-widget').length > 0) {
        Modernizr.load([{
            load: [luxicar_lite_variable.url.template_directory_uri + 'js/imagesloaded.pkgd.min.js',luxicar_lite_variable.url.template_directory_uri + 'js/wookmark.min.js'],
            complete: function() {

                var $filters = jQuery('#filters-tab li'),
                container = '#filter-content',
                wookmark = undefined,                
                options = {
                    autoResize: true,
                    offset: 0,
                    fillEmptySpace: false 
                };

                /**
                 * Refreshes the layout after all images have loaded
                 */
                function applyLayout() {
                    imagesLoaded(container, function () {
                        wookmark = new Wookmark(container, options);
                    });
                };

                /**
                 * When a filter is clicked, toggle it's active state and refresh.
                 */
                var onClickFilter = function(event) {
                    var $item = jQuery(event.currentTarget),
                        itemActive = $item.hasClass('active'),
                        activeFilter = $item.data('filter');

                    if (!itemActive) {
                        $filters.removeClass('active');
                        $item.addClass('active');
                    }    

                    // Filter by the currently selected filter
                    wookmark.filter([activeFilter]);
                }

                // Capture filter click events.
                jQuery('#filters-tab').on('click.wookmark-filter', 'li', onClickFilter);

                var button_loadmore_portfolio = jQuery('#load-more-wrap');

                if (button_loadmore_portfolio.length > 0) {

                    button_loadmore_portfolio.click(function(event) {
                        event.preventDefault();

                        var url = jQuery(this).attr('href');
                        var paged = parseInt(jQuery(this).data('paged'));
                        var number = parseInt(jQuery(this).data('number'));                

                        if(!button_loadmore_portfolio.hasClass('in-process')){
                            jQuery.ajax({
                                type: 'POST',
                                url: url,
                                dataType: 'html',
                                data: {
                                    paged : paged,
                                    number : number,
                                },
                                beforeSend: function() {
                                    button_loadmore_portfolio.addClass('in-process');                                
                                    //loading...
                                    button_loadmore_portfolio.find('span').first().text('loading');
                                    
                                },
                                success: function(data) {     
                                    if(data.trim() != ''){                                                                            
                                        var newItems = jQuery(data).find('.loadmore-portfolio');
                                        jQuery.each(newItems, function() {
                                            jQuery(container).append(newItems);
                                        });

                                        wookmark = new Wookmark(container, options);
                                        
                                        button_loadmore_portfolio.data('paged', paged + 1);                               
                                        button_loadmore_portfolio.removeClass('in-process');    
                                    
                                        //text: load more  
                                        button_loadmore_portfolio.find('span').first().text('loadmore');          
applyLayout();
                                    } else {
                                        button_loadmore_portfolio.remove();
                                    }                               
                                },
                                complete: function() {   
                                    
                                },
                                error: function() {
                                    button_loadmore_portfolio.remove();
                                }
                            });

                        }
                        applyLayout();
                    });
                }
                applyLayout();
            }
        }]);
    }

    /* =========================================================
    8. Google Map
    ============================================================ */
    var map;
    if (jQuery('.kopa-map-box').length > 0) {
        Modernizr.load([{
            load: [luxicar_lite_variable.url.template_directory_uri + 'js/gmaps.js'],
            complete: function() {
                jQuery('.kopa-map').each( function() {
                    var $this = jQuery(this);
                    var id_map = $this.attr('id');
                    var lat = parseFloat($this.data('latitude'));
                    var lng = parseFloat($this.data('longitude'));
                    var place = $this.data('place');

                    if ( typeof GMaps != "undefined") {
                        map = new GMaps({
                            el: '#' + id_map,
                            lat: lat,
                            lng: lng,
                            zoomControl: true,
                            zoomControlOpt: {
                                style: 'SMALL',
                                position: 'TOP_LEFT'
                            },
                            panControl: false,
                            streetViewControl: false,
                            mapTypeControl: false,
                            overviewMapControl: false,
                            scrollwheel: false
                        });
                        map.addMarker({
                            lat: lat,
                            lng: lng,
                            title: place
                        });
                    }

                });
            }
        }]);
    }

    /* =========================================================
    9. Facebook
    ============================================================ */
    if (jQuery('.fb-page').length > 0) {
        Modernizr.load([{
            load: [luxicar_lite_variable.url.template_directory_uri + 'js/jquery.matchHeight-min.js'],
            complete: function() {
                (function(d, s, id) {
                    var js, fjs = d.getElementsByTagName(s)[0];
                    if (d.getElementById(id)) return;
                    js = d.createElement(s); js.id = id;
                    js.src = "//connect.facebook.net/vi_VN/sdk.js#xfbml=1&version=v2.4";
                    fjs.parentNode.insertBefore(js, fjs);
                }(document, 'script', 'facebook-jssdk'));
            }
        }]);
    }

    /* =========================================================
    10. Progress Bar
    ============================================================ */
    if (jQuery('.kopa-progress-bar').length > 0) {
        Modernizr.load([{
            load: [luxicar_lite_variable.url.template_directory_uri + 'js/pro-bars.min.js'],
            complete: function() {
            }
        }]);
    }

    /* =========================================================
    11. Pie Charts
    ============================================================ */
    if (jQuery('.kopa-pie-chart').length > 0) {
        Modernizr.load([{
            load: [luxicar_lite_variable.url.template_directory_uri + 'js/jquery.easypiechart.min.js'],
            complete: function() {
                jQuery('.chart-circle').each(function() {
                    var $this = jQuery(this);
                    var color = $this.data('color');

                    $this.easyPieChart({
                        barColor: color,
                        trackColor: '#fff',
                        scaleColor: '#fff',
                        lineWidth: 3,
                        size: 140,
                        animate: 3000
                    });
                });
            }
        }]);
    }

    /* =========================================================
    12. Datetime Picker
    ============================================================ */
    if (jQuery('.datetimepicker-wrap').length > 0) {
        Modernizr.load([{
            load: [luxicar_lite_variable.url.template_directory_uri + 'js/moment.js', luxicar_lite_variable.url.template_directory_uri + 'js/bootstrap-datetimepicker.min.js'],
            complete: function() {
                jQuery('.datetimepicker').datetimepicker();
            }
        }]);
    }

    /* =========================================================
    13. Validate Form
    ============================================================ */
    /*--- comment form ---*/

    if (jQuery('.comment-form').length > 0) {
        Modernizr.load([{
            load: [luxicar_lite_variable.url.template_directory_uri + 'js/jquery.form.min.js', luxicar_lite_variable.url.template_directory_uri + 'js/jquery.validate.min.js'],
            complete: function() {
                jQuery('.comment-form').validate({
                    // Add requirements to each of the fields
                    rules: {
                        author: {
                            required: true,
                            minlength: 10
                        },
                        email: {
                            required: true,
                            email: true
                        },
                        subject: {
                            required: true,
                            minlength: 10
                        },
                        comment: {
                            required: true,
                            minlength: 10
                        }
                    },
                    // Specify what error messages to display
                    // when the user does something horrid
                    messages: {
                        author: {
                            required: "Please enter your name.",
                            minlength: jQuery.format("At least {0} characters required.")
                        },
                        email: {
                            required: "Please enter your email.",
                            email: "Please enter a valid email."
                        },
                        phone: {
                            required: "Please enter your phone.",
                            url: "Please enter a valid phone."
                        },
                        comment: {
                            required: "Please enter a message.",
                            minlength: jQuery.format("At least {0} characters required.")
                        }
                    },
                    // Use Ajax to send everything to processForm.php
                    // submitHandler: function(form) {
                    //     jQuery("#input-submit").attr("value", "Sending...");
                    //     jQuery(form).ajaxSubmit({
                    //         success: function(responseText, statusText, xhr, jQueryform) {
                    //             jQuery("#response").html(responseText).hide().slideDown("fast");
                    //             jQuery("#input-submit").attr("value", "Submit");
                    //         }
                    //     });
                    //     return false;
                    // }
                });
            }
        }]);
    }
});

/* =========================================================
14. Load More Blog Masonry
============================================================ */
jQuery(window).load(function(){
   luxicar_lite_load_more_blog_masonry(); 
   luxicar_lite_load_more_two_columns_each_row();
});

// loadmore mansory
function luxicar_lite_load_more_blog_masonry () {

    var blog_masonry = jQuery('.kopa-blog-masonry');
    if(blog_masonry.length){
        blog_masonry.find('.load-more-1').click(function(event){
            event.preventDefault();
            jQuery.ajax({
                type: 'POST',
                url: luxicar_lite_variable.url.ajax,
                data_Type: 'html',
                async: false,
                data : {
                    action: 'luxicar_lite_load_more_blog_masonry',
                    wpnonce: jQuery('#luxicar_lite_load_more_blog_masonry_wpnonce').val(),
                    cat_id:  luxicar_lite_variable.template.cat_id,
                    tag_id: luxicar_lite_variable.template.tag_id,
                    is_home: luxicar_lite_variable.template.is_home,
                    postoffset: jQuery('.kopa-blog-masonry .row').children().size()
                },
                beforeSend: function(XMLHttpRequest, settings) {   
                },
                complete: function(XMLHttpRequest, textStatus) {
                },
                success: function(data) {
                    var postoffset = jQuery('.kopa-blog-masonry .row').children().size();
                    var totalpost = jQuery('.kopa-blog-masonry .row').data('post');
                    var postpage = jQuery('.kopa-blog-masonry .row').data('post-page');
                    jQuery('.kopa-blog-masonry .row').append(data);
                    if(postoffset >= totalpost - postpage){
                        jQuery('.load-more-wrap .load-more-1').remove();
                    }
                },
                error: function (XMLHttpRequest, textStatus, errorThrown) {
                    jQuery('.load-more-wrap .load-more-1').remove();
                }
            });
        });
    }

    return false;
}

// loadmore two column each row (blog 2)
function luxicar_lite_load_more_two_columns_each_row () {
    var blog_masonry = jQuery('.kopa-blog-list-2');
    if(blog_masonry.length){
        blog_masonry.find('.load-more-1').click(function(event){
            event.preventDefault();
            jQuery.ajax({
                type: 'POST',
                url: luxicar_lite_variable.url.ajax,
                data_Type: 'html',
                async: false,
                data : {
                    action: 'luxicar_lite_load_more_two_columns_each_row',
                    wpnonce: jQuery('#luxicar_lite_load_more_two_columns_each_row_wpnonce').val(),
                    cat_id:  luxicar_lite_variable.template.cat_id,
                    tag_id: luxicar_lite_variable.template.tag_id,
                    is_home: luxicar_lite_variable.template.is_home,
                    postoffset: jQuery('.kopa-blog-list-2 .row').children().size()
                },
                beforeSend: function(XMLHttpRequest, settings) {   
                },
                complete: function(XMLHttpRequest, textStatus) {
                },
                success: function(data) {
                    var postoffset = jQuery('.kopa-blog-list-2 .row').children().size();
                    var totalpost = jQuery('.kopa-blog-list-2 .row').data('post');
                    var postpage = jQuery('.kopa-blog-list-2 .row').data('post-page');
                    jQuery('.kopa-blog-list-2 .row').append(data);
                    if(postoffset >= totalpost - postpage){
                        jQuery('.load-more-wrap .load-more-1').remove();
                    }
                },
                error: function (XMLHttpRequest, textStatus, errorThrown) {
                    jQuery('.load-more-wrap .load-more-1').remove();
                }
            });
        });
    }

    return false;
}

if (jQuery('.contact-form-1').length > 0) {
    Modernizr.load([
      {
        load:[luxicar_lite_variable.url.template_directory_uri + 'js/jquery.form.min.js', luxicar_lite_variable.url.template_directory_uri + 'js/jquery.validate.min.js'],
        complete: function () {
            jQuery('.contact-form-1').validate({
                // Add requirements to each of the fields
                rules: {
                    name: {
                        required: true,
                        minlength: 4
                    },
                    email: {
                        required: true,
                        email: true
                    },
                    subject: {
                        required: true,
                        minlength: 4
                    },
                    message: {
                        required: true,
                        minlength: 10
                    }
                },
                // Specify what error messages to display
                // when the user does something horrid
                messages: {
                    name: {
                        required: luxicar_lite_variable.validate.name.required,
                        minlength: jQuery.format(luxicar_lite_variable.validate.name.minlength)
                    },
                    email: {
                        required: luxicar_lite_variable.validate.email.required,
                        email: luxicar_lite_variable.validate.email.email
                    },
                    subject: {
                        required: luxicar_lite_variable.validate.subject.required,
                        minlength: luxicar_lite_variable.validate.subject.minlength,
                    },
                    message: {
                        required: luxicar_lite_variable.validate.message.required,
                        minlength: jQuery.format(luxicar_lite_variable.validate.message.minlength)
                    }
                },
                // Use Ajax to send everything to processForm.php
                submitHandler: function(form) {
                    jQuery("#submit-contact-1").attr("value", luxicar_lite_variable.validate.form.sending);
                    jQuery(form).ajaxSubmit({
                        success: function(responseText, statusText, xhr, $form) {
                            jQuery("#response").html(responseText).hide().slideDown("fast");
                            jQuery("#submit-contact-1").attr("value", luxicar_lite_variable.validate.form.submit);
                            jQuery(".contact-form-1")[ 0 ].reset();
                        }
                    });
                    return false;
                }
            });
        }
      }
    ]);
};