<?php

if(!class_exists('LTP_Page_Builder')){
	
	class LTP_Page_Builder{

		public function __construct(){
			add_action('init', array($this, 'init'));
			add_filter('body_class', array($this, 'set_body_class'));
			add_filter('kopa_page_builder_get_layouts', array($this, 'set_layouts'));
			add_filter('kopa_page_builder_get_areas', array($this, 'set_areas'));
			add_filter('kopa_page_builder_get_section_fields', array($this, 'set_section_fields'));
			add_filter('kopa_page_builder_get_customize_fields', array($this, 'set_widget_fields'));
			add_action('wp_enqueue_scripts', array($this, 'enqueue_script'), 20);
		}

		public function init(){
			add_filter('luxicar_lite_is_override_default_template', array($this, 'active_pagebuilder'));
			add_action('luxicar_lite_load_template', array($this, 'load_template'));
			add_filter('luxicar_lite_get_header', array($this,'get_page_affix'));
			add_filter('luxicar_lite_get_footer', array($this,'get_page_affix'));
		}

		public function active_pagebuilder($is_override = false){
			if(is_page()){
				global $post;			

			    $current_layout = Kopa_Page_Builder::get_current_layout($post->ID);
			 	
			    if(!in_array($current_layout, array('', 'disable'))){
			 		$is_override = true;
			 	}
		 	}
		 	return $is_override;
		}

		public function load_template(){
			global $post;
			if(is_page()){
				$current_layout = Kopa_Page_Builder::get_current_layout($post->ID);

				if(!in_array($current_layout, array('', 'disable'))){
					get_template_part( 'page-builder/templates/'.$current_layout );
			 	}	
			}
		}

		public function get_page_affix($affix){
			if(is_page() && $this->active_pagebuilder()){
				global $post;
    			$current_layout = Kopa_Page_Builder::get_current_layout($post->ID);

    			if($current_layout == 'home-3') {
    				$affix = 'home-3';
    			}elseif( $current_layout == 'contact') {
    				$affix = 'contact';
    			}if($current_layout == 'portfolio' || $current_layout == 'about') {
    				$affix = 'portfolio';
    			}
			}
			return $affix;
		}

		public function set_body_class($classes){
			if(is_page()){
				global $post;
				if( $current_layout = Kopa_Page_Builder::get_current_layout($post->ID) ){
					switch ($current_layout) {
						case 'home-3':
							array_push($classes, 'kopa-home-page home-page-3');
							break;
						case 'portfolio':
							array_push($classes, 'kopa-sub-page gallery-page');
							break;
						case 'contact-page':
							array_push($classes, 'kopa-contact');
							break;
					}
				}
			}

			return $classes;
		}

		public static function set_layouts(){
		    $layouts['disable'] = array(
		       'title' => esc_html__('-- Disable --', 'luxicar-lite')        
		    );

			$layouts['home-3'] = array(
				'title'     => esc_html__('Home 3', 'luxicar-lite'),
				'preview'   => get_template_directory_uri() . '/inc/assets/images/layouts/home-3.png',
				'customize' => array( 
		            'custom' => array(
						'title'  => esc_html__('Custom', 'luxicar-lite'),
						'params' => array(                  
		                    'css' => array(     
								'type'    => 'textarea',
								'title'   => esc_html__('CSS code', 'luxicar-lite'),
								'default' => '',
								'rows'    => 10,       
								'class'   => 'kpb-ui-textarea-guide-line',                        
		                    ),
		                )
		            ),	            
		        ),
		        'section' => array(
		        	'row-1' => array(
						'title'       => esc_html__('Row 1', 'luxicar-lite'),
						'description' => '',
						'grid'        => array(12),
						'customize'   => array(),        		
						'area'        => array(
		        			'area-1'
		        		)
		         	),
		         	'row-2' => array(
						'title'       => esc_html__('Row 2', 'luxicar-lite'),
						'grid'        => array(12),
						'description' => '',
						'customize'   => array(),        		
						'area'        => array(
		        			'area-2'        			
		        		)
		         	),
		         	'row-3' => array(
						'title'       => esc_html__('Row 3', 'luxicar-lite'),
						'grid'        => array(12),
						'description' => '',
						'customize'   => array(),        		
						'area'        => array(
		        			'area-3'
		        		)
		         	),
		         	'row-4' => array(
						'title'       => esc_html__('Row 4', 'luxicar-lite'),
						'grid'        => array(12),
						'description' => '',
						'customize'   => array(),        		
						'area'        => array(
		        			'area-4',       			
		        		)
		         	),
		         	'row-5' => array(
						'title'       => esc_html__('Row 5', 'luxicar-lite'),
						'grid'        => array(12),
						'description' => '',
						'customize'   => array(),        		
						'area'        => array(
		        			'area-5'       			
		        		)
		         	),
		         	'row-6' => array(
						'title'       => esc_html__('Row 6', 'luxicar-lite'),
						'grid'        => array(12),
						'description' => '',
						'customize'   => array(),        		
						'area'        => array(
		        			'area-6',      			
		        		)
		         	),
		         	'row-7' => array(
						'title'       => esc_html__('Row 7', 'luxicar-lite'),
						'grid'        => array(12),
						'description' => '',
						'customize'   => array(),        		
						'area'        => array(
		        			'area-7',      			
		        		)
		         	),
		         	'row-8' => array(
						'title'       => esc_html__('Row 8', 'luxicar-lite'),
						'grid'        => array(12),
						'description' => '',
						'customize'   => array(),        		
						'area'        => array(
		        			'area-8',      			
		        		)
		         	),
		         	'row-9' => array(
						'title'       => esc_html__('Row 9', 'luxicar-lite'),
						'grid'        => array(12),
						'description' => '',
						'customize'   => array(),        		
						'area'        => array(
		        			'area-9',       			
		        		)
		         	),
		         	'row-10' => array(
						'title'       => esc_html__('Row 10', 'luxicar-lite'),
						'grid'        => array(12),
						'description' => '',
						'customize'   => array(),        		
						'area'        => array(
		        			'area-10',     			
		        		)
		         	),
		         	'row-11' => array(
						'title'       => esc_html__('Row 11', 'luxicar-lite'),
						'grid'        => array(12),
						'description' => '',
						'customize'   => array(),        		
						'area'        => array(
		        			'area-11',     			
		        		)
		         	),
		         	'row-12' => array(
						'title'       => esc_html__('Row 12', 'luxicar-lite'),
						'grid'        => array(12),
						'description' => '',
						'customize'   => array(),        		
						'area'        => array(
		        			'area-12',     			
		        		)
		         	),
		         	'row-13' => array(
						'title'       => esc_html__('Row 13', 'luxicar-lite'),
						'grid'        => array(12),
						'description' => '',
						'customize'   => array(),        		
						'area'        => array(
		        			'area-13',     			
		        		)
		         	),
		         	'row-14' => array(
						'title'       => esc_html__('Row 14', 'luxicar-lite'),
						'grid'        => array(12),
						'description' => '',
						'customize'   => array(),        		
						'area'        => array(
		        			'area-14',     			
		        		)
		         	),
		         	'row-15' => array(
						'title'       => esc_html__('Row 15', 'luxicar-lite'),
						'grid'        => array(6,6),
						'description' => '',
						'customize'   => array(),        		
						'area'        => array(
							'area-15-1',
							'area-15-2'
		        		)
		         	) 
		        )       
			);

			$layouts['about'] = array(
				'title'     => esc_html__('About', 'luxicar-lite'),
				'preview'   => get_template_directory_uri() . '/inc/assets/images/layouts/about.png',
				'customize' => array( 
		            'custom' => array(
						'title'  => esc_html__('Custom', 'luxicar-lite'),
						'params' => array(                  
		                    'css' => array(     
								'type'    => 'textarea',
								'title'   => esc_html__('CSS code', 'luxicar-lite'),
								'default' => '',
								'rows'    => 10,       
								'class'   => 'kpb-ui-textarea-guide-line',                        
		                    ),
		                )
		            ),	            
		        ),
		        'section' => array(
		         	'row-1' => array(
						'title'       => esc_html__('Row 1', 'luxicar-lite'),
						'grid'        => array(12),
						'description' => '',
						'customize'   => array(),        		
						'area'        => array(
		        			'area-1',       			
		        		)
		         	),
		         	'row-2' => array(
						'title'       => esc_html__('Row 2', 'luxicar-lite'),
						'grid'        => array(12),
						'description' => '',
						'customize'   => array(),        		
						'area'        => array(
		        			'area-2',     			
		        		)
		         	),
		         	'row-3' => array(
						'title'       => esc_html__('Row 3', 'luxicar-lite'),
						'grid'        => array(12),
						'description' => '',
						'customize'   => array(),        		
						'area'        => array(
		        			'area-3',     			
		        		)
		         	),
		         	'row-4' => array(
						'title'       => esc_html__('Row 4', 'luxicar-lite'),
						'grid'        => array(12),
						'description' => '',
						'customize'   => array(),        		
						'area'        => array(
		        			'area-4',     			
		        		)
		         	),
		         	'row-5' => array(
						'title'       => esc_html__('Row 5', 'luxicar-lite'),
						'grid'        => array(12),
						'description' => '',
						'customize'   => array(),        		
						'area'        => array(
		        			'area-5',     			
		        		)
		         	),
		         	'row-6' => array(
						'title'       => esc_html__('Row 6', 'luxicar-lite'),
						'grid'        => array(12),
						'description' => '',
						'customize'   => array(),        		
						'area'        => array(
		        			'area-6',     			
		        		)
		         	),
		         	'row-7' => array(
						'title'       => esc_html__('Row 7', 'luxicar-lite'),
						'grid'        => array(12),
						'description' => '',
						'customize'   => array(),        		
						'area'        => array(
		        			array(
		                        'grid' => array(
		                            array(12),
		                            array(12),
		                            array(6,6)                          
		                        ),
		                        'area' => array(
		                            array(
		                                'area-7-1'
		                            ),
		                            array(
		                                'area-7-2'
		                            ),
		                            array(
		                                'area-7-3-1',
		                                'area-7-3-2',
		                            )                        
		                        )
		                    )    			
		        		)
		         	)
		        )       
			);

			$layouts['contact'] = array(
				'title'     => esc_html__('Contact', 'luxicar-lite'),
				'preview'   => get_template_directory_uri() . '/inc/assets/images/layouts/contact.png',
				'customize' => array( 
		            'custom' => array(
						'title'  => esc_html__('Custom', 'luxicar-lite'),
						'params' => array(                  
		                    'css' => array(     
								'type'    => 'textarea',
								'title'   => esc_html__('CSS code', 'luxicar-lite'),
								'default' => '',
								'rows'    => 10,       
								'class'   => 'kpb-ui-textarea-guide-line',                        
		                    ),
		                )
		            ),	            
		        ),
		        'section' => array(
		        	'row-1' => array(
						'title'       => esc_html__('Row 1', 'luxicar-lite'),
						'grid'        => array(12),
						'description' => '',
						'customize'   => array(),        		
						'area'        => array(
		        			'area-1',     			
		        		)
		         	),
		         	'row-2' => array(
						'title'       => esc_html__('Row 2', 'luxicar-lite'),
						'grid'        => array(12),
						'description' => '',
						'customize'   => array(),        		
						'area'        => array(
		        			'area-2',     			
		        		)
		         	),
		         	'row-3' => array(
						'title'       => esc_html__('Row 3', 'luxicar-lite'),
						'grid'        => array(12),
						'description' => '',
						'customize'   => array(),        		
						'area'        => array(
		        			'area-3',     			
		        		)
		         	),
		         	'row-4' => array(
						'title'       => esc_html__('Row 4', 'luxicar-lite'),
						'grid'        => array(12),
						'description' => '',
						'customize'   => array(),        		
						'area'        => array(
		        			'area-4',     			
		        		)
		         	),
		         	'row-5' => array(
						'title'       => esc_html__('Row 5', 'luxicar-lite'),
						'grid'        => array(6,6),
						'description' => '',
						'customize'   => array(),        		
						'area'        => array(
		        			'area-5-1',
		        			'area-5-2',			
		        		)
		         	),
		        )       
			);

			$layouts['portfolio'] = array(
				'title'     => esc_html__('Portfolio', 'luxicar-lite'),
				'preview'   => get_template_directory_uri() . '/inc/assets/images/layouts/portfolio.png',
				'customize' => array( 
		            'custom' => array(
						'title'  => esc_html__('Custom', 'luxicar-lite'),
						'params' => array(                  
		                    'css' => array(     
								'type'    => 'textarea',
								'title'   => esc_html__('CSS code', 'luxicar-lite'),
								'default' => '',
								'rows'    => 10,       
								'class'   => 'kpb-ui-textarea-guide-line',                        
		                    ),
		                )
		            ),	            
		        ),
		        'section' => array(
		        	'row-1' => array(
						'title'       => esc_html__('Row 1', 'luxicar-lite'),
						'grid'        => array(12),
						'description' => '',
						'customize'   => array(),        		
						'area'        => array(
		        			'area-1',     			
		        		)
		         	),
		         	'row-2' => array(
						'title'       => esc_html__('Row 2', 'luxicar-lite'),
						'grid'        => array(12),
						'description' => '',
						'customize'   => array(),        		
						'area'        => array(
		        			'area-2',     			
		        		)
		         	),
		         	'row-3' => array(
						'title'       => esc_html__('Row 3', 'luxicar-lite'),
						'grid'        => array(12),
						'description' => '',
						'customize'   => array(),        		
						'area'        => array(
		        			array(
		                        'grid' => array(
		                            array(12),
		                            array(12),
		                            array(6,6)                          
		                        ),
		                        'area' => array(
		                            array(
		                                'area-3-1'
		                            ),
		                            array(
		                                'area-3-2'
		                            ),
		                            array(
		                                'area-3-3-1',
		                                'area-3-3-2',
		                            )                        
		                        )
		                    )    			
		        		)
		         	) 
		        )       
			);

		    return $layouts;
		}

		public function set_areas($areas){
			$areas['area-1']      = esc_html__('Area 1', 'luxicar-lite');
			
			$areas['area-2']      = esc_html__('Area 2', 'luxicar-lite');
			
			$areas['area-3']      = esc_html__('Area 3', 'luxicar-lite');
			$areas['area-3-1']    = esc_html__('Area 3.1', 'luxicar-lite');
			$areas['area-3-2']    = esc_html__('Area 3.2', 'luxicar-lite');
			$areas['area-3-3-1']  = esc_html__('Area 3.3.1', 'luxicar-lite');
			$areas['area-3-3-2']  = esc_html__('Area 3.3.2', 'luxicar-lite');
			
			$areas['area-4']      = esc_html__('Area 4', 'luxicar-lite');
			$areas['area-4-1']    = esc_html__('Area 4.1', 'luxicar-lite');
			$areas['area-4-2']    = esc_html__('Area 4.2', 'luxicar-lite');
			$areas['area-4-3-1']  = esc_html__('Area 4.3.1', 'luxicar-lite');
			$areas['area-4-3-2']  = esc_html__('Area 4.3.2', 'luxicar-lite');
			
			$areas['area-5']      = esc_html__('Area 5', 'luxicar-lite');
			$areas['area-5-1']    = esc_html__('Area 5.1', 'luxicar-lite');
			$areas['area-5-2']    = esc_html__('Area 5.2', 'luxicar-lite');
			$areas['area-5-3-1']  = esc_html__('Area 5.3.1', 'luxicar-lite');
			$areas['area-5-3-2']  = esc_html__('Area 5.3.2', 'luxicar-lite');
			
			$areas['area-6']      = esc_html__('Area 6', 'luxicar-lite');
			$areas['area-6-1']    = esc_html__('Area 6.1', 'luxicar-lite');
			$areas['area-6-2']    = esc_html__('Area 6.2', 'luxicar-lite');
			$areas['area-6-3-1']  = esc_html__('Area 6.3.1', 'luxicar-lite');
			$areas['area-6-3-2']  = esc_html__('Area 6.3.2', 'luxicar-lite');
			
			$areas['area-7']      = esc_html__('Area 7', 'luxicar-lite');
			$areas['area-7-1']    = esc_html__('Area 7.1', 'luxicar-lite');
			$areas['area-7-2']    = esc_html__('Area 7.2', 'luxicar-lite');
			$areas['area-7-3-1']  = esc_html__('Area 7.3.1', 'luxicar-lite');
			$areas['area-7-3-2']  = esc_html__('Area 7.3.2', 'luxicar-lite');
			
			$areas['area-8']      = esc_html__('Area 8', 'luxicar-lite');
			
			$areas['area-9']      = esc_html__('Area 9', 'luxicar-lite');
			$areas['area-9-1']    = esc_html__('Area 9.1', 'luxicar-lite');
			$areas['area-9-2']    = esc_html__('Area 9.2', 'luxicar-lite');
			$areas['area-9-3-1']  = esc_html__('Area 9.3.1', 'luxicar-lite');
			$areas['area-9-3-2']  = esc_html__('Area 9.3.2', 'luxicar-lite');
			
			$areas['area-10']     = esc_html__('Area 10', 'luxicar-lite');
			
			$areas['area-11']     = esc_html__('Area 11', 'luxicar-lite');
			$areas['area-11-1']   = esc_html__('Area 11.1', 'luxicar-lite');
			$areas['area-11-2']   = esc_html__('Area 11.2', 'luxicar-lite');
			$areas['area-11-3-1'] = esc_html__('Area 11.3.1', 'luxicar-lite');
			$areas['area-11-3-2'] = esc_html__('Area 11.3.2', 'luxicar-lite');
			
			$areas['area-12']     = esc_html__('Area 12', 'luxicar-lite');
			
			$areas['area-13']     = esc_html__('Area 13', 'luxicar-lite');
			$areas['area-13-1']   = esc_html__('Area 13.1', 'luxicar-lite');
			$areas['area-13-2']   = esc_html__('Area 13.2', 'luxicar-lite');
			$areas['area-13-3-1'] = esc_html__('Area 13.3.1', 'luxicar-lite');
			$areas['area-13-3-2'] = esc_html__('Area 13.3.2', 'luxicar-lite');
			
			$areas['area-14']     = esc_html__('Area 14', 'luxicar-lite');
			
			$areas['area-15']     = esc_html__('Area 15', 'luxicar-lite');
			$areas['area-15-1']   = esc_html__('Area 15.1', 'luxicar-lite');
			$areas['area-15-2']   = esc_html__('Area 15.2', 'luxicar-lite');
			$areas['area-15-3-1'] = esc_html__('Area 15.3.1', 'luxicar-lite');
			$areas['area-15-3-2'] = esc_html__('Area 15.3.2', 'luxicar-lite');

			return $areas;
		}

		public function set_section_fields($fields){
			$fields['outer']['title'] =  esc_html__('Outer', 'luxicar-lite');	
			$fields['outer']['params'] = array(
				'background-color' => array(		
					'type'    => 'color',
					'title'   => esc_html__('Background color', 'luxicar-lite'),
					'default' => '',								
				),
				'background-image' => array(		
					'type'    => 'image',
					'title'   => esc_html__('Background Image', 'luxicar-lite'),
					'default' => '',								
				),
				'margin-top' => array(		
					'type'    => 'number',
					'title'   => esc_html__('Margin top', 'luxicar-lite'),
					'default' => '',		
					'affix'   => 'px',						
				),
				'margin-bottom' => array(		
					'type'    => 'number',
					'title'   => esc_html__('Margin bottom', 'luxicar-lite'),
					'default' => '',
					'affix'   => 'px',								
				),
				'padding-top' => array(		
					'type'    => 'number',
					'title'   => esc_html__('Padding top', 'luxicar-lite'),
					'default' => '',	
					'affix'   => 'px',								
				),
				'padding-bottom' => array(		
					'type'    => 'number',
					'title'   => esc_html__('Padding bottom', 'luxicar-lite'),
					'default' => '',	
					'affix'   => 'px',								
				),
				'custom' => array(
					'type'    => 'textarea',
					'title'   => esc_html__('CSS code', 'luxicar-lite'),
					'default' => '',
					'rows'    => 5,       
					'class'   => 'kpb-ui-textarea-guide-line',
					'help'    => esc_html__('Example: ID a {color: red; } ID: The ID of outer tag.', 'luxicar-lite'),
				),
			);	

			$fields['container']['title'] =  esc_html__('Inner', 'luxicar-lite');
			$fields['container']['params'] = array(
				'layout' => array(		
					'type'    => 'select',
					'title'   => esc_html__('Layout', 'luxicar-lite'),
					'default' => 'boxes',								
					'options' => array(
						'wide'  => esc_html__('Wide', 'luxicar-lite'),
						'boxes' => esc_html__('Boxes', 'luxicar-lite'),
					)
				),
				'margin-top' => array(		
					'type'    => 'number',
					'title'   => esc_html__('Margin top', 'luxicar-lite'),
					'default' => '',		
					'affix'   => 'px',						
				),
				'margin-bottom' => array(		
					'type'    => 'number',
					'title'   => esc_html__('Margin bottom', 'luxicar-lite'),
					'default' => '',
					'affix'   => 'px',								
				),
				'padding-top' => array(		
					'type'    => 'number',
					'title'   => esc_html__('Padding top', 'luxicar-lite'),
					'default' => '',	
					'affix'   => 'px',								
				),
				'padding-bottom' => array(		
					'type'    => 'number',
					'title'   => esc_html__('Padding bottom', 'luxicar-lite'),
					'default' => '',	
					'affix'   => 'px',								
				),	
				'custom' => array(
					'type'    => 'textarea',
					'title'   => esc_html__('CSS code', 'luxicar-lite'),
					'default' => '',
					'rows'    => 5,       
					'class'   => 'kpb-ui-textarea-guide-line',
					'help'    => esc_html__('Example: ID a {color: red; } ID: The ID of container tag.', 'luxicar-lite'),
				),
			);

			return $fields;
		}

		public function set_widget_fields($fields){
			$fields['margin']['title']  =  esc_html__('Margin', 'luxicar-lite');	
			$fields['margin']['params'] = array(
				'top' => array(		
					'type'    => 'number',
					'title'   => esc_html__('Top', 'luxicar-lite'),
					'default' => '',	
					'affix'   => 'px',	
				),		
				'bottom' => array(		
					'type'    => 'number',
					'title'   => esc_html__('Bottom', 'luxicar-lite'),
					'default' => '',	
					'affix'   => 'px',	
				),	
				'left' => array(		
					'type'    => 'number',
					'title'   => esc_html__('Left', 'luxicar-lite'),
					'default' => '',	
					'affix'   => 'px',	
				),	
				'right' => array(		
					'type'    => 'number',
					'title'   => esc_html__('Right', 'luxicar-lite'),
					'default' => '',	
					'affix'   => 'px',	
				),
			);

			$fields['padding']['title']  =  esc_html__('Padding', 'luxicar-lite');	
			$fields['padding']['params'] = array(
				'top' => array(		
					'type'    => 'number',
					'title'   => esc_html__('Top', 'luxicar-lite'),
					'default' => '',	
					'affix'   => 'px',	
				),		
				'bottom' => array(		
					'type'    => 'number',
					'title'   => esc_html__('Bottom', 'luxicar-lite'),
					'default' => '',	
					'affix'   => 'px',	
				),	
				'left' => array(		
					'type'    => 'number',
					'title'   => esc_html__('Left', 'luxicar-lite'),
					'default' => '',	
					'affix'   => 'px',	
				),	
				'right' => array(		
					'type'    => 'number',
					'title'   => esc_html__('Right', 'luxicar-lite'),
					'default' => '',	
					'affix'   => 'px',	
				),
			);

			$fields['custom']['title']  =  esc_html__('Custom CSS', 'luxicar-lite');	
			$fields['custom']['params'] = array(
				'css' => array(		
					'type'    => 'textarea',
					'title'   => esc_html__('CSS code', 'luxicar-lite'),
					'default' => '',
					'rows'    => 10,       
					'class'   => 'kpb-ui-textarea-guide-line', 
					'help'    => esc_html__('Example: <code>ID a {color: red; }</code> <br/> ID: The ID of this widget.', 'luxicar-lite'),
				),
			);

			return $fields;
		}

		public function enqueue_script(){
			if(is_page()){
				global $post;
				$current_layout = Kopa_Page_Builder::get_current_layout($post->ID);		

		        if(!empty($current_layout) && $current_layout != 'disable'){
		          
					$page_data             = Kopa_Page_Builder::get_current_layout_data($post->ID); 
					$layouts               = apply_filters('kopa_page_builder_get_layouts', array());             
					$layout_customize_data = Kopa_Page_Builder::get_layout_customize_data($post->ID, $current_layout);               
					$style                 = '';

		            foreach ($layouts as $layout_slug => $layout) {
		                if($layout_slug == $current_layout){
		                    $sections = $layout['section'];
		                    if(count($sections) > 0){
		                        foreach($sections as $section_slug => $section){
		                            if( $wrap = Kopa_Page_Builder::get_current_wrapper_data($post->ID, $layout_slug, $section_slug)){

		                            	//OUTTER
		                                	if(!empty($wrap['outer']['background-color'])){
		                                        $style .= sprintf('#luxicar-section-%s { background-color: %s; }', $section_slug, $wrap['outer']['background-color']);
		                                    }

		                                    if(!empty($wrap['outer']['background-image'])){
		                                        $style .= sprintf('#luxicar-section-%s { background: transparent url("%s") center center no-repeat; background-size: cover; position: relative; }', $section_slug, do_shortcode($wrap['outer']['background-image']));
		                                        $style .= sprintf('#luxicar-section-%s:before { position: absolute; content: \'\'; top: 0; bottom: 0; left: 0; right: 0; background: rgba(0, 0, 0, 0.7); }', $section_slug);
		                                    }
		                                    
		                                    if(trim($wrap['outer']['margin-top']) != ''){
		                                        $style .= sprintf('#luxicar-section-%s { margin-top: %s%s; }', $section_slug, $wrap['outer']['margin-top'], 'px');
		                                    }

		                                    if(trim($wrap['outer']['margin-bottom']) != ''){
		                                        $style .= sprintf('#luxicar-section-%s { margin-bottom: %s%s; }', $section_slug, $wrap['outer']['margin-bottom'], 'px');
		                                    }

		                                    if(trim($wrap['outer']['padding-top']) != ''){
		                                        $style .= sprintf('#luxicar-section-%s { padding-top: %s%s; }', $section_slug, $wrap['outer']['padding-top'], 'px');
		                                    }

		                                    if(trim($wrap['outer']['padding-bottom']) != ''){
		                                        $style .= sprintf('#luxicar-section-%s { padding-bottom: %s%s; }', $section_slug, $wrap['outer']['padding-bottom'], 'px');
		                                    }

		                                    if(!empty($wrap['outer']['custom'])){
		                                        $style .= str_replace('ID', "#luxicar-section-{$section_slug}", $wrap['outer']['custom']);                               
		                                    }  

		                                //INNER ~ CONTAINER
										if(isset($wrap['container']['margin-top']) && trim($wrap['container']['margin-top']) != ''){
											$style .= sprintf('#luxicar-wrap-%s { margin-top: %s%s; }', $section_slug, $wrap['container']['margin-top'], 'px');
										}
										if(isset($wrap['container']['margin-bottom']) &&trim($wrap['container']['margin-bottom']) != ''){
											$style .= sprintf('#luxicar-wrap-%s { margin-bottom: %s%s; }', $section_slug, $wrap['container']['margin-bottom'], 'px');
										}
										if(isset($wrap['container']['padding-top']) &&trim($wrap['container']['padding-top']) != ''){
											$style .= sprintf('#luxicar-wrap-%s { padding-top: %s%s; }', $section_slug, $wrap['container']['padding-top'], 'px');
										}
										if(isset($wrap['container']['padding-bottom']) &&trim($wrap['container']['padding-bottom']) != ''){
											$style .= sprintf('#luxicar-wrap-%s { padding-bottom: %s%s; }', $section_slug, $wrap['container']['padding-bottom'], 'px');
										}

		                                if(!empty($wrap['container']['custom']))
		                                    $style .= str_replace('ID', "#luxicar-wrap-{$section_slug}", $wrap['container']['custom']);                                                        
		                            }               
		                        }
		                    }
		                }
		            }

		            if(!empty($page_data)){
		                foreach($page_data as $section_id => $section){
		                    if(!empty($section)){
		                        foreach ($section as $area_id => $area) {
		                            if(!empty($area)){
		                                foreach ($area as $widget_id => $widget) {
		                                    if($widget_data = get_post_meta($post->ID, $widget_id, true)){                                  
		                                        foreach(array('margin', 'padding') as $box_mode){
		                                            foreach(array('top', 'bottom', 'left', 'right') as $position){
		                                                if(isset($widget_data['customize'][$box_mode][$position])){
		                                                    if(trim($widget_data['customize'][$box_mode][$position]) != ''){
		                                                        $style .= sprintf('#%s.widget { %s-%s: %s%s; }', $widget_id, $box_mode, $position, $widget_data['customize'][$box_mode][$position], 'px');
		                                                    }
		                                                }                                           
		                                            }
		                                        }

		                                        if(isset($widget_data['customize']['custom']['css']) && !empty($widget_data['customize']['custom']['css'])){
		                                            $style .= str_replace('ID', "#{$widget_id}.widget", $widget_data['customize']['custom']['css']);
		                                        }                               
		                                    }
		                                }
		                            }
		                        }
		                    }
		                }
		            }

		            if(!empty($layout_customize_data)){
		                if(isset($layout_customize_data['custom']['css']) && !empty($layout_customize_data['custom']['css'])){                
		                    $style .= $layout_customize_data['custom']['css'];
		                }
		            }

		            if(!empty($style)){         
		                wp_add_inline_style('luxicar-lite-style', $style);
		            }
		        }		        
			}	
		}	

		public static function print_before_section($current_layout, $section_slug){
			global $post;

			$out = '';

			ob_start();
			
			if($wrap = Kopa_Page_Builder::get_current_wrapper_data($post->ID, $current_layout, $section_slug)){		
				?>
					<section id="<?php echo "luxicar-section-{$section_slug}"; ?>" class="luxicar-section luxicar-section-default">
						<?php if('wide' == $wrap['container']['layout']): ?>
							<div id="<?php echo "luxicar-wrap-{$section_slug}"; ?>">
						<?php else: ?>
							<div id="<?php echo "luxicar-wrap-{$section_slug}"; ?>" class="wrapper">
						<?php endif;?>
				<?php 
			}

			$out = ob_get_clean();

			return apply_filters('luxicar_print_before_section', $out, $current_layout, $section_slug);					
		}

		public static function print_after_section($current_layout, $section_slug){
			global $post;

			$out = '';

			ob_start();
			if($wrap = Kopa_Page_Builder::get_current_wrapper_data($post->ID, $current_layout, $section_slug)){
				?>					
						</div> <!-- container -->
					</section>
				<?php
			}

			$out = ob_get_clean();

			return apply_filters('luxicar_print_after_section', $out, $current_layout, $section_slug);		
		}

		public static function dynamic_area($post_id, $data){
			if($data){
				foreach($data as $widget_id => $widget){

					if($widget_data = get_post_meta($post_id, $widget_id, true)){
						$class_name = $widget['class_name'];	                                    

						if(class_exists($class_name)){
							$instance = $widget_data['widget'];

							$obj = new $class_name;

				            $obj->id = $widget_id;
				            $obj->number = rand(0, 9999);

				            $widget_wrap = array(
								'before_widget' => sprintf('<div id="%1$s" class="widget %2$s clearfix">', $obj->id, $obj->widget_options['classname']),                                                
								'after_widget'  => '</div>',
								'before_title'  => '',
								'after_title'   => ''
				            );

				            $obj->widget($widget_wrap, $instance);
						}	            
					}	
				}
			}
		}

	}

	new LTP_Page_Builder();
}