<?php

if (1 != (int) get_theme_mod('is-enable-breadcrumb', 1))
    return;

global $post, $wp_query;
$current_class = 'current-page';
$prefix        = '';

$breadcrumb =   '<div class="kopa-breadcrumb"><span itemtype="http://data-vocabulary.org/Breadcrumb" itemscope="">
                    <a itemprop="url" href="'.esc_url(home_url('/')).'">
                        <span itemprop="title">'.esc_html__('Home', 'luxicar-lite').'</span>
                    </a>
                </span>';


if (is_archive()) {
    if (is_tag()) {
        $term = get_term(get_queried_object_id(), 'post_tag');
        $breadcrumb .= $prefix . sprintf('<span itemscope itemtype="http://data-vocabulary.org/Breadcrumb"><span class="%1$s" itemprop="title">%2$s</span></span></div><h4 class="title-breadcrumb">%2$s</h4>', $current_class, $term->name);
    } else if (is_category()) {
        $category_id = get_queried_object_id();
        $terms_link = explode(',', substr(get_category_parents(get_queried_object_id(), TRUE, ','), 0, (strlen(',') * -1)));

        $n = count($terms_link);

        if ($n > 1) {
            for ($i = 0; $i < ($n - 1); $i++) {
                $breadcrumb.= $prefix . $terms_link[$i];
            }
        }
        $breadcrumb.= $prefix . sprintf('<span itemscope="" itemtype="http://data-vocabulary.org/Breadcrumb"><span class="%1$s" itemprop="title">%2$s</span></span></div><h4 class="title-breadcrumb">%2$s</h4>', $current_class, get_the_category_by_ID(get_queried_object_id()));
    } else if (is_year() || is_month() || is_day()) {

        $m = get_query_var('m');
        $date = array('y' => NULL, 'm' => NULL, 'd' => NULL);
        if (strlen($m) >= 4)
            $date['y'] = substr($m, 0, 4);
        if (strlen($m) >= 6)
            $date['m'] = substr($m, 4, 2);
        if (strlen($m) >= 8)
            $date['d'] = substr($m, 6, 2);
        if ($date['y'])
            if (is_year())
                $breadcrumb .= $prefix . sprintf('<span itemscope itemtype="http://data-vocabulary.org/Breadcrumb"><span class="%1$s" itemprop="title">%2$s</span></span></div><h4 class="title-breadcrumb">%2$s</h4>', $current_class, $date['y']);
            else
                $breadcrumb .= $prefix . sprintf('<span itemscope itemtype="http://data-vocabulary.org/Breadcrumb"><span class="%1$s" itemprop="title">%2$s</span></span></div><h4 class="title-breadcrumb">%2$s</h4>', get_year_link($date['y']), $date['y']);
        if ($date['m'])
            if (is_month())
                $breadcrumb .= $prefix . sprintf('<span itemscope itemtype="http://data-vocabulary.org/Breadcrumb"><span class="%1$s" itemprop="title">%2$s</span></span></div><h4 class="title-breadcrumb">%2$s</h4>', $current_class, date('F', mktime(0, 0, 0, $date['m'])));
            else
                $breadcrumb .= $prefix . sprintf('<span itemscope itemtype="http://data-vocabulary.org/Breadcrumb"><span class="%1$s" itemprop="title">%2$s</span></span></div><h4 class="title-breadcrumb">%2$s</h4>', get_month_link($date['y'], $date['m']), date('F', mktime(0, 0, 0, $date['m'])));
        if ($date['d'])
            if (is_day())
                $breadcrumb .= $prefix . sprintf('<span itemscope itemtype="http://data-vocabulary.org/Breadcrumb"><span class="%1$s" itemprop="title">%2$s</span></span></div><h4 class="title-breadcrumb">%2$s</h4>', $current_class, $date['d']);
            else
                $breadcrumb .= $prefix . sprintf('<span itemscope itemtype="http://data-vocabulary.org/Breadcrumb"><span class="%1$s" itemprop="title">%2$s</span></span></div><h4 class="title-breadcrumb">%2$s</h4>', get_day_link($date['y'], $date['m'], $date['d']), $date['d']);
    }else if (is_author()) {

        $author_id = get_queried_object_id();
        $breadcrumb .= $prefix . sprintf('<span itemscope itemtype="http://data-vocabulary.org/Breadcrumb"><span class="%1$s" itemprop="title">%2$s</span></span></div><h4 class="title-breadcrumb">%2$s</h4>', $current_class, sprintf(esc_html__('Posts created by %1$s', 'luxicar-lite'), get_the_author_meta('display_name', $author_id)));
    } else if(is_tax()){
        $term = get_queried_object();
        if(isset($term->taxonomy)){
            $breadcrumb .= $prefix . sprintf('<span itemscope itemtype="http://data-vocabulary.org/Breadcrumb"><span class="%1$s" itemprop="title">%2$s</span></span></div><h4 class="title-breadcrumb">%2$s</h4>', $current_class, $term->name);
        }
    } 
} else if (is_search()) {
    $s = get_search_query();
    $c = $wp_query->found_posts;

    $description = sprintf('<span itemscope itemtype="http://data-vocabulary.org/Breadcrumb"><span class="%1$s">Your search for "%2$s"</span></span></div><h4 class="title-breadcrumb">%2$s</h4>', $current_class, $s);
    $breadcrumb .= $prefix . $description;
} else if (is_singular()) {
    if (is_page()) {
        if (is_front_page()) {
            $breadcrumb = NULL;
        } else {
            $post_ancestors = get_post_ancestors($post);
            if ($post_ancestors) {
                $post_ancestors = array_reverse($post_ancestors);
                foreach ($post_ancestors as $crumb)
                    $breadcrumb .= $prefix . sprintf('<span itemscope itemtype="http://data-vocabulary.org/Breadcrumb"><span class="%1$s" itemprop="title">%2$s</span></span>', get_permalink($crumb), esc_html(get_the_title($crumb)));
            }
            $breadcrumb .= $prefix . sprintf('<span itemscope itemtype="http://data-vocabulary.org/Breadcrumb"><span class="%1$s" itemprop="title">%2$s</span></span></div><h4 class="title-breadcrumb">%2$s</h4>', $current_class, esc_html(get_the_title(get_queried_object_id())));
        }
    } else {
        if (is_single()){
            if ( get_post_type() === 'product' ) :

                $breadcrumb .= $prefix . '<a href="'.get_page_link( get_option('woocommerce_shop_page_id') ).'">'.get_the_title( get_option('woocommerce_shop_page_id') ).'</a>';

                if ($terms = get_the_terms( $post->ID, 'product_cat' )) :
                    $term = apply_filters( 'jigoshop_product_cat_breadcrumb_terms', current($terms), $terms);
                    $parents = array();
                    $parent = $term->parent;
                    while ($parent):
                        $parents[] = $parent;
                        $new_parent = get_term_by( 'id', $parent, 'product_cat');
                        $parent = $new_parent->parent;
                    endwhile;
                    if(!empty($parents)):
                        $parents = array_reverse($parents);
                        foreach ($parents as $parent):
                            $item = get_term_by( 'id', $parent, 'product_cat');
                            $breadcrumb .= $prefix . '<a href="' . get_term_link( $item->slug, 'product_cat' ) . '">' . $item->name . '</a>';
                        endforeach;
                    endif;
                    $breadcrumb .= $prefix . '<a href="' . get_term_link( $term->slug, 'product_cat' ) . '">' . $term->name . '</a>';
                endif;

                $breadcrumb.= $prefix . sprintf('<span class="%1$s">%2$s</span>', $current_class, get_the_title());

            else : 
            $categories = get_the_category(get_queried_object_id());
            if ($categories) {
                foreach ($categories as $category) {
                    $breadcrumb .= $prefix . sprintf('<span itemscope itemtype="http://data-vocabulary.org/Breadcrumb"><a itemprop="url"  href="%1$s"><span itemprop="title">%2$s</span></a></span>', get_category_link($category->term_id), $category->name);
                }
            }
            endif; 
        }        
        if( get_the_title( get_queried_object_id()) ){
            $breadcrumb .= $prefix . sprintf('<span itemscope itemtype="http://data-vocabulary.org/Breadcrumb"><span class="%1$s" itemprop="title">%2$s</span></span></div><h4 class="title-breadcrumb">%2$s</h4>', $current_class, esc_html(get_the_title(get_queried_object_id())));
        }
    }    
}else if (is_404()) {
    $breadcrumb .= $prefix . sprintf('<span itemscope itemtype="http://data-vocabulary.org/Breadcrumb"><span class="%1$s" itemprop="title">%2$s</span></span></div><h4 class="title-breadcrumb">%2$s</h4>', $current_class, esc_html__('Page not found', 'luxicar-lite'));
} else if(is_home()) {
    $breadcrumb .= $prefix . sprintf('<span itemscope itemtype="http://data-vocabulary.org/Breadcrumb"><span class="%1$s" itemprop="title">%2$s</span></span></div><h4 class="title-breadcrumb">%2$s</h4>', $current_class, esc_html__('Latest News', 'luxicar-lite'));
}

ob_start();
?>
    <div class="kopa-breadcrumb-wrap s4">
            <?php echo sprintf('%s', $breadcrumb ); ?>
    </div>
<?php

$html = ob_get_clean();
echo apply_filters('friday_news_get_breadcrumb', $html);

