<?php

    $limit = (int) get_theme_mod('portfolio_related_limit', 5); 

    if ($limit > 0) {
        global $post;
        $taxs = array();
        
        $tags = get_the_terms($post->ID,'portfolio-tag' );

        if ($tags) {
            $ids = array();
            foreach ($tags as $tag) {
                $ids[] = $tag->term_id;
            }
            $taxs [] = array(
                'taxonomy' => 'portfolio-tag',
                'field' => 'term_id',
                'terms' => $ids
            );
        }

        if ($taxs) {
            $related_args = array(
                'post_type' => 'portfolio',
                'tax_query' => $taxs,
                'post__not_in' => array($post->ID),
                'posts_per_page' => $limit
            );

            $related_posts = new WP_Query( $related_args );
            if ( $related_posts->have_posts() ) { ?>
                <div class="kopa-news-widget-4">
                    <div class="widget-title widget-title-1">
                        <h2><?php esc_html_e( 'Related Portfolios', 'luxicar-lite' ); ?></h2>
                    </div>
                    <div class="widget-content">
                        <div class="row">
                            <?php while( $related_posts->have_posts()) : $related_posts->the_post(); ?>
                                <div class="entry-item col-xs-12 col-sm-4">
                                    <div class="entry-thumb">
                                        <a href="<?php the_permalink(); ?>">
                                            <?php the_post_thumbnail( 'luxicar-widget-390x250' , array( 'class' => 'img-responsive' )); ?>
                                            <span class="icon-thumb"><i class="fa fa-expand"></i></span>
                                        </a>
                                    </div>
                                    <div class="entry-content">
                                        <h6><a href="<?php the_permalink(); ?>"><?php the_title(); ?></a></h6>
                                        <em><?php esc_html_e('By', 'luxicar-lite' );?> <?php the_author_posts_link();?></em>
                                        <?php
                                            $excerpt_tmp = get_the_excerpt();
                                            $excerpt_length = get_theme_mod( 'portfolio_excerpt_lenght' , get_theme_mod( 'portfolio_excerpt_related_limit', 20 ));
                                            if((int)$excerpt_length){ 
                                                $excerpt = wp_trim_words(strip_shortcodes($excerpt_tmp), $excerpt_length, '');
                                                echo ($excerpt) ? apply_filters( 'the_content', $excerpt ) : '';
                                            }
                                        ?>
                                    </div>
                                </div>
                            <?php endwhile; ?>
                        </div>
                    </div>
                </div>
                <?php
            }
            wp_reset_postdata();
        }
    }
