<?php
global $post;
$taxs = array();
$get_by = get_theme_mod( 'single_relate_get_by', 'category' );
$limit =  (int)get_theme_mod( 'single_relate_limit', '3' );
if($limit == 0)
	return;
if ('category' == $get_by) {
	$cats = get_the_category($post->ID);
	if ($cats) {
		$ids = array();
		foreach ($cats as $cat) {
			$ids[] = $cat->term_id;
		}
		$taxs [] = array(
			'taxonomy' => 'category',
			'field'    => 'id',
			'terms'    => $ids
			);
	}
} else if ('post_tag' == $get_by) {
	$tags = get_the_tags($post->ID);
	if ($tags) {
		$ids = array();
		foreach ($tags as $tag) {
			$ids[] = $tag->term_id;
		}
		$taxs [] = array(
			'taxonomy' => 'post_tag',
			'field'    => 'id',
			'terms'    => $ids
			);
	}
}

if ($taxs) {
	$related_args = array(
		'post_type'      => array($post->post_type),
		'tax_query'      => $taxs,
		'post__not_in'   => array($post->ID),
		'posts_per_page' => $limit
		);

	$related_posts = new WP_Query($related_args);
	if ($related_posts->have_posts()): ?>  
	<div class="widget widget-testimonial-1 widget-testimonial-2">
		<div class="widget-title">
			<h2><?php echo esc_html('Related post', 'luxicar-lite'); ?></h2>
		</div>
		<!-- /.widget-title -->

		<div class="widget-content">
			<?php
			while ($related_posts->have_posts()):
				$related_posts->the_post();  
				$post_id    = get_the_id();
				$post_title = get_the_title(); 
				$author_id = $post->post_author;                         
				?>

			<div class="entry-item">
				<div class="entry-thumb">
					<?php if(has_post_thumbnail()): ?>
						<a href="<?php the_permalink(); ?>"><?php the_post_thumbnail('luxicar-related-post', array('title' => get_the_title(), 'class' => '')); ?></a>
					<?php else: ?>
						<a href="<?php the_permalink(); ?>"><img src="http://placehold.it/370x210"></a>
					<?php endif; ?>
				</div>
				<!-- /.entry-thumb -->

				<div class="entry-content">
					<?php get_template_part('template/module/blog/parts/time-date'); ?>

					<footer>
						<h4><a href="<?php the_permalink(); ?>"><?php the_title(); ?></a></h4>
						<?php get_template_part('template/module/blog/parts/meta-item'); ?>
						<!-- /.meta-item -->
						<?php the_excerpt(); ?>

						<a href="<?php the_permalink(); ?>" class="more-2"><?php echo esc_attr('More Learn', 'luxicar-lite'); ?></a>
					</footer>
				</div>
				<!-- /.entry-content -->
			</div>
			<!-- /.entry-item -->
			<?php
			endwhile;
			?> 
		</div>
		<!-- /.widget-content -->
	</div>
	<!-- /.widget-testimonial-1 -->
<?php
	endif;
	wp_reset_postdata();
}
?>