<?php
$sb_bottom_1 = apply_filters('luxicar_lite_get_sidebar', 'sb_bottom_1', 'pos_bottom_1');
?>
<section id="main-content">
	<div class="kopa-top-page">
	  	<div class="wrapper">
	    	<?php luxicar_lite_cat_descscription(); ?>
	    	<?php get_template_part('template/module/breadcrumb' );?>
	  	</div>
	</div>
	<div class="kopa-gallery-single-page">
		<div class="wrapper">
			<div class="row">
				<?php if( have_posts() ) : while( have_posts() ) : the_post(); ?>
					<?php 
						$ids_string = get_post_meta( get_the_id(), LTP_PREFIX . 'portfolio-gallery', true );
						if( $ids_string ) : 
							$ids = (explode(",",$ids_string));
					?>
						<div class="col-xs-12 col-sm-6">
							<div class="slider-gallery load-slick">
								<?php 
									foreach ( $ids as $id ) {
										$image = wp_get_attachment_image_src( $id, 'luxicar-widget-570x560');
										if( $image ){
											echo '<div><img src="'.esc_url( $image[0] ).'" alt=""></div>';
										}
									} 
								?>
							</div>
						</div>
					<?php endif; ?>
					<?php if( $ids_string ) : ?>
						<div class="col-xs-12 col-sm-6">
					<?php else: ?>
						<div class="col-xs-12 col-sm-12">
					<?php endif; ?>
						<div class="gallery-info">
							<?php
								$date    = get_post_meta( get_the_id(), LTP_PREFIX . 'portfolio-date', true );
								$client  = get_post_meta( get_the_id(), LTP_PREFIX . 'portfolio-client', true ); 
								$task    = get_post_meta( get_the_id(), LTP_PREFIX . 'portfolio-task', true ); 
								$website = get_post_meta( get_the_id(), LTP_PREFIX . 'portfolio-website', true ); 
							?>
							<header>
								<h5 class="title-page"><?php the_title(); ?></h5>
								<p><span><?php esc_html_e( 'Date', 'luxicar-lite' ); ?>:</span><i class="fa fa-calendar"></i><?php echo wp_kses_post( $date ); ?></p>
								<p><span><?php esc_html_e( 'Client', 'luxicar-lite' ); ?>:</span><i class="fa fa-user"></i><?php echo wp_kses_post( $client ); ?></p>
								<p><span><?php esc_html_e( 'Task', 'luxicar-lite' ); ?>:</span><i class="fa fa-tasks"></i><?php echo wp_kses_post( $task ); ?></p>
								<?php 
									$terms = get_the_terms(get_the_ID(), 'portfolio-tag'); 
									if(!empty($terms)){
										$index = true;
										echo '<p><span>Category:</span><i class="fa fa-tag"></i>';
			                            foreach ($terms as $term) {
			                            	if( $index ){
				                                echo '<a href="'.get_term_link( $term->slug, 'portfolio-tag').'">'.wp_kses_post( $term->name ).'</a>';
				                                $index = false;
				                            }else{
				                            	echo ', <a href="'.get_term_link( $term->slug, 'portfolio-tag').'">'.wp_kses_post( $term->name ).'</a>';
				                            }
			                            }
			                            echo '</p>';
			                        }
								?>
								<p><span><?php esc_html_e( 'Website', 'luxicar-lite' ); ?>:</span><i class="fa fa-home"></i><a href="<?php echo esc_url( $website ); ?>"><?php echo wp_kses_post( $website ); ?></a></p>
							</header>

							<footer>
								<h6 class="title-description"><?php esc_html_e( 'PROJECT DESCRIPTIONS', 'luxicar-lite' ); ?></h6>
								<?php the_content(); ?>

								<?php get_template_part('template/module/singular/parts/social-post'); ?>
							</footer>
						</div>
					</div>
				<?php endwhile; endif; ?>
			</div>

			<?php get_template_part( 'template/module/singular/parts/related-portfolio' ); ?>

			<?php if( is_active_sidebar( $sb_bottom_1 ) ) {
					dynamic_sidebar( $sb_bottom_1 );
				}
			?>
		</div>
	</div>
</section>